#ifndef LCD_PCD8544

#define LCD_PCD8544


// 
//#define LCD_SCLK 	GPIO_PIN_13
//#define LCD_MOSI 	GPIO_PIN_15
#define LCD_DC   	GPIO_PIN_11
#define LCD_RST  	GPIO_PIN_14
//#define LCD_SCE  	GPIO_PIN_12
#define LCD_LIGHT	GPIO_PIN_10

// 
//#define LCD_CS0      HAL_GPIO_WritePin(GPIOB, LCD_SCE, GPIO_PIN_RESET)
//#define LCD_CS1     HAL_GPIO_WritePin(GPIOB, LCD_SCE, GPIO_PIN_SET)
#define LCD_DC0      HAL_GPIO_WritePin(GPIOB, LCD_DC, GPIO_PIN_RESET)
#define LCD_DC1     HAL_GPIO_WritePin(GPIOB, LCD_DC, GPIO_PIN_SET)
#define LCD_RST0      HAL_GPIO_WritePin(GPIOB, LCD_RST, GPIO_PIN_RESET)
#define LCD_RST1     HAL_GPIO_WritePin(GPIOB, LCD_RST, GPIO_PIN_SET)
#define LCD_LIGHT0      HAL_GPIO_WritePin(GPIOB, LCD_LIGHT, GPIO_PIN_RESET)
#define LCD_LIGHT1     HAL_GPIO_WritePin(GPIOB, LCD_LIGHT, GPIO_PIN_SET)

//   
void lcd8544_init( SPI_HandleTypeDef *hspi );//
void lcd8544_clr( uint8_t data );//
void lcd8544_update( SPI_HandleTypeDef *hspi );//
void lcd8544_sendcmd( SPI_HandleTypeDef *hspi, uint8_t cmd );//

void lcd8544_char( uint8_t x, uint8_t row, uint8_t ch, uint8_t font );//   
void lcd8544_putchar( uint8_t x, uint8_t y, uint8_t ch, uint8_t mode );//
void lcd8544_putstr( uint8_t x, uint8_t y, uint8_t *str, uint8_t mode );//
void lcd8544_dec( uint8_t x, uint8_t row, uint32_t n, uint8_t count, uint8_t font );//
void lcd8544_line( uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2, uint8_t mode);//
void lcd8544_putpix(uint8_t x, uint8_t y, uint8_t mode);//
void lcd8544_rect(uint8_t x1, uint8_t y1, uint8_t x2, uint8_t y2, uint8_t mode);//
void lcd8544_leftchline( uint8_t x, uint8_t y);


#endif
